@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

html, body {
  background-color: #F7F8FA;
  font-family: 'Roboto', sans-serif;
  height: 100vh;
  color: #46444c;
  position: relative;
}

input {
  font-family: 'Roboto', sans-serif;
}

body:before {
  content: '';
  background: #5A45FF;
  top: 0;
  left: 0;
  right: 0;
  height: 6px;
  position: absolute;
}

* {
  margin: 0;
  padding: 0;
}

a {
  color: #5A45FF;
  text-decoration: none;
}

main {
  max-width: 1000px;
  margin: auto;
  height: 100vh;
  padding: 0 30px;
  align-items: center;
  display: flex;
  justify-content: center;
}

.title {
  font-size: 50px;
  line-height: 50px;
  margin-bottom: 10px;
  color: #17161A;
}

.subtitle {
  font-size: 26px;
  margin-bottom: 40px;
}

p {
  margin-bottom: 20px;
}

main ul {
  list-style: none;
}

main img {
  max-width: 100%;
}

main li {
  margin-bottom: 5px;
  position: relative;
  padding-left: 25px;
}

main li:before {
  content: '—';
  position: absolute;
  left: 0;
}

main code {
  font-size: 16px;
  background: #e6e2ff;
}

form {
  width: 100%;
}

form button {
  background: #6bd400;
  border-radius: 4px;
  width: 100%;
  text-align: center;
  border-width: 0 0 2px 0;
  border-color: #5cb204;
  color: #FFF;
  font-weight: 600;
  padding: 15px 0;
  text-transform: uppercase;
  font-size: 18px;
  cursor: pointer;
}

.form__visa img {
  width: 100%;
}

.form__header {
  color: #000000;
  position: relative;
  font-weight: 600;
  text-transform: uppercase;
  font-size: 14px;
  margin-bottom: 15px;
}

.form__header > div {
  position: absolute;
  color: #F7F8FA;
  left: -30px;
  background-color: #000000;
  width: 24px;
  height: 24px;
  border-radius: 100%;
  top: 50%;
  transform: translateY(-50%);
}

.form__header > div > div {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.form__input--text {
  background-color: #FFF;
  border-radius: 4px;
  border-bottom: 2px solid #dcdcdc;
  padding: 10px;
  width: 100%;
  position: relative;
}

.form__input--text div {
  color: #515356;
  font-weight: 600;
  font-size: 14px;
}

.form__input--text input {
  border: none;
  color: #9b9b9b;
  width: 100%;
  outline: none;
  font-size: 18px;
  font-weight: 500;
}

.form__input--text select {
  border: none;
  color: #9b9b9b;
  width: 100%;
  outline: none;
  font-size: 18px;
  font-weight: 500;
  height: 27px;
}

.form__input--text select option {
  width: 100%;
}

.form__visa {
  position: absolute;
  border: 1px solid #e2e2e2;
  border-radius: 4px;
  width: 50px !important;
  padding: 2px 2px 0 2px;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
}

.form__order {
  color: #000000;
  background-color: #FFF;
  border-radius: 4px;
  border-bottom: 2px solid #dcdcdc;
  padding: 10px;
  height: 100%;
  font-size: 15px;
}

.form__orderheader {
  text-transform: uppercase;
  font-weight: 600;
}

.form__item {
  margin-bottom: 5px;
}

.form__item strong {
  text-transform: uppercase;
}

.form__order--border {
  padding: 10px;
  border: 2px dotted #dcdcdc;
  border-radius: 4px;
  height: 100%;
}

.form__break {
  display: inline-block;
  width: 100%;
  border-bottom: 2px dotted #dcdcdc;
  margin-top: 5px;
}
